Package pygeodesy :: Module heights :: Class HeightError |
[frames] | no frames]

# Class HeightError

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
            exceptions.StandardError --+
                                       |
                   exceptions.ValueError --+
                                           |
                          errors._ValueError --+
                                               |
                              errors.PointsError --+
                                                   |
                                                  HeightError

Known Subclasses:
  - geoids.GeoidError

Height interpolator `Height...` or interpolation issue.

Instance Methods
Inherited from `errors._ValueError`: `__init__` Inherited from `exceptions.ValueError`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__str__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`